Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Security Developer Tools Liberty 1.2 Java API Reference 10g Release 3 (10.1.3) B25385-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.security.xmlsec.liberty.v12.metadata
Class ContactPerson

`java.lang.Object
oracle.security.xmlsec.util.XMLNode
oracle.security.xmlsec.util.XMLElement
oracle.security.xmlsec.liberty.v12.metadata.ContactPerson`

public class ContactPerson
extends oracle.security.xmlsec.util.XMLElement

Liberty 1.2 libMD:ContactPerson element.

Field Summary
`static java.lang.String` | `CT_ADMINISTRATIVE` The contactType attribute value "administrative".
`static java.lang.String` | `CT_BILLING` The contactType attribute value "billing".
`static java.lang.String` | `CT_OTHER` The contactType attribute value "other".
`static java.lang.String` | `CT_TECHNICAL` The contactType attribute value "technical".

Fields inherited from class oracle.security.xmlsec.util.XMLNode
`node, systemId`

Constructor Summary
`ContactPerson(org.w3c.dom.Document owner)` Creates a new `ContactPerson` element in the given XML document.
`ContactPerson(org.w3c.dom.Element element)` Creates a new `ContactPerson` instance from the given `Element` node.
`ContactPerson(org.w3c.dom.Element element, java.lang.String systemId)` Creates a new `ContactPerson` instance from the given `Element` node.

Method Summary
`java.lang.String` | `getCompany()` Returns the value of this ContactPerson element's Company child element, of `null` if the child element is not specified.
`java.lang.String` | `getContactType()` Returns the contactType attribute value for this ContactPerson element, of `null` if the attribute is not specified.
`java.lang.String` | `getEmailAddress()` Returns the value of this ContactPerson element's EmailAddress child element, of `null` if the child element is not specified.
`java.lang.String` | `getGivenName()` Returns the value of this ContactPerson element's GivenName child element, of `null` if the child element is not specified.
`java.lang.String` | `getLibertyPrincipalIdentifier()` Returns the libertyPrincipalIdentifier attribute value for this ContactPerson element, of `null` if the attribute is not specified.
`java.lang.String` | `getSurName()` Returns the value of this ContactPerson element's SurName child element, of `null` if the child element is not specified.
`java.lang.String` | `getTelephoneNumber()` Returns the value of this ContactPerson element's TelephoneNumber child element, of `null` if the child element is not specified.
`void` | `setCompany(java.lang.String company)` Sets the value of this ContactPerson element's Company child element.
`void` | `setContactType(java.lang.String contactType)` Sets the value of the contactType attribute for this ContactPerson element.
`void` | `setEmailAddress(java.lang.String email)` Sets the value of this ContactPerson element's EmailAddress child element.
`void` | `setGivenName(java.lang.String givenName)` Sets the value of this ContactPerson element's GivenName child element.
`void` | `setLibertyPrincipalIdentifier(java.lang.String uri)` Sets the value of the libertyPrincipalIdentifier attribute for this ContactPerson element.
`void` | `setSurName(java.lang.String surName)` Sets the value of this ContactPerson element's SurName child element.
`void` | `setTelephoneNumber(java.lang.String telephone)` Sets the value of this ContactPerson element's TelephoneNumber child element.

Methods inherited from class oracle.security.xmlsec.util.XMLElement
`addNSPrefixAttr, addNSPrefixAttr, addNSPrefixAttrDefault, addNSPrefixAttrDefault, getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getChildElementsByTagName, getChildElementsByTagName, getChildElementsByTagNameNS, getChildElementsByTagNameNS, getDefaultNSPrefix, getElementsByTagName, getElementsByTagNameNS, getTagName, hasAttribute, hasAttributeNS, removeAttribute, removeAttributeNode, removeAttributeNS, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS, setDefaultNSPrefix`

Methods inherited from class oracle.security.xmlsec.util.XMLNode
`appendChild, appendChild, appendTo, cloneNode, getAttributes, getChildNodes, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNode, getNodeName, getNodeType, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, getSystemId, hasAttributes, hasChildNodes, insertBefore, insertBefore, isSupported, normalize, removeChild, removeChild, replaceChild, replaceChild, setNodeValue, setPrefix, setSystemId, toBytesXML, toStringXML`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### CT_TECHNICAL

    public static final java.lang.String CT_TECHNICAL

  The contactType attribute value "technical".
  See Also:
    `setContactType(String)`, `getContactType()`, Constant Field Values

### CT_ADMINISTRATIVE

    public static final java.lang.String CT_ADMINISTRATIVE

  The contactType attribute value "administrative".
  See Also:
    `setContactType(String)`, `getContactType()`, Constant Field Values

### CT_BILLING

    public static final java.lang.String CT_BILLING

  The contactType attribute value "billing".
  See Also:
    `setContactType(String)`, `getContactType()`, Constant Field Values

### CT_OTHER

    public static final java.lang.String CT_OTHER

  The contactType attribute value "other".
  See Also:
    `setContactType(String)`, `getContactType()`, Constant Field Values

Constructor Detail

### ContactPerson

    public ContactPerson(org.w3c.dom.Element element)
                  throws org.w3c.dom.DOMException

  Creates a new `ContactPerson` instance from the given `Element` node.
Parameters:
  `element` - A libMD:ContactPerson element.

### ContactPerson

    public ContactPerson(org.w3c.dom.Element element,
                         java.lang.String systemId)
                  throws org.w3c.dom.DOMException

  Creates a new `ContactPerson` instance from the given `Element` node.
Parameters:
  `element` - A libMD:ContactPerson element.
  `systemId` - The URI string system ID for the `ContactPerson`'s document location.

### ContactPerson

    public ContactPerson(org.w3c.dom.Document owner)
                  throws org.w3c.dom.DOMException

  Creates a new `ContactPerson` element in the given XML document.
Parameters:
  `owner` - The owner document of the new element node.

Method Detail

### setLibertyPrincipalIdentifier

    public void setLibertyPrincipalIdentifier(java.lang.String uri)
                                       throws org.w3c.dom.DOMException

  Sets the value of the libertyPrincipalIdentifier attribute for this ContactPerson element.
  Parameters:
    `uri` - The libertyPrincipalIdentifier attribute value.
  Throws:
    `org.w3c.dom.DOMException`

### getLibertyPrincipalIdentifier

    public java.lang.String getLibertyPrincipalIdentifier()

  Returns the libertyPrincipalIdentifier attribute value for this ContactPerson element, of `null` if the attribute is not specified.

### setContactType

    public void setContactType(java.lang.String contactType)
                        throws org.w3c.dom.DOMException

  Sets the value of the contactType attribute for this ContactPerson element.
  Parameters:
    `contactType` - The contactType attribute value.
  Throws:
    `org.w3c.dom.DOMException`

### getContactType

    public java.lang.String getContactType()

  Returns the contactType attribute value for this ContactPerson element, of `null` if the attribute is not specified.

### setCompany

    public void setCompany(java.lang.String company)
                    throws org.w3c.dom.DOMException

  Sets the value of this ContactPerson element's Company child element.
  Parameters:
    `company` - The Company element's value.
  Throws:
    `org.w3c.dom.DOMException`

### getCompany

    public java.lang.String getCompany()

  Returns the value of this ContactPerson element's Company child element, of `null` if the child element is not specified.

### setGivenName

    public void setGivenName(java.lang.String givenName)
                      throws org.w3c.dom.DOMException

  Sets the value of this ContactPerson element's GivenName child element.
  Parameters:
    `givenName` - The GivenName element's value.
  Throws:
    `org.w3c.dom.DOMException`

### getGivenName

    public java.lang.String getGivenName()

  Returns the value of this ContactPerson element's GivenName child element, of `null` if the child element is not specified.

### setSurName

    public void setSurName(java.lang.String surName)
                    throws org.w3c.dom.DOMException

  Sets the value of this ContactPerson element's SurName child element.
  Parameters:
    `surName` - The SurName element's value.
  Throws:
    `org.w3c.dom.DOMException`

### getSurName

    public java.lang.String getSurName()

  Returns the value of this ContactPerson element's SurName child element, of `null` if the child element is not specified.

### setEmailAddress

    public void setEmailAddress(java.lang.String email)
                         throws org.w3c.dom.DOMException

  Sets the value of this ContactPerson element's EmailAddress child element.
  Parameters:
    `email` - The EmailAddress element's value.
  Throws:
    `org.w3c.dom.DOMException`

### getEmailAddress

    public java.lang.String getEmailAddress()

  Returns the value of this ContactPerson element's EmailAddress child element, of `null` if the child element is not specified.

### setTelephoneNumber

    public void setTelephoneNumber(java.lang.String telephone)
                            throws org.w3c.dom.DOMException

  Sets the value of this ContactPerson element's TelephoneNumber child element.
  Parameters:
    `telephone` - The TelephoneNumber element's value.
  Throws:
    `org.w3c.dom.DOMException`

### getTelephoneNumber

    public java.lang.String getTelephoneNumber()

  Returns the value of this ContactPerson element's TelephoneNumber child element, of `null` if the child element is not specified.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Security Developer Tools Liberty 1.2 Java API Reference 10g Release 3 (10.1.3) B25385-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005, 2006 , Oracle. All rights reserved.